Skip to content

List attribute lists

View as Markdown
get /api/categories/attribute_lists

Retrieves the collection of Attribute List resources.

Returns a paginated collection of attribute lists in the current organization.

Headers

NameTypeRequiredDescription
Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page

Response

200 - Attribute List collection

PropertyTypeRequiredDescription
totalItemsinteger-
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
templatestring-
variableRepresentationstring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
previousstring | null-
nextstring | null-
memberAttribute.List[]required
Show member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
namestring | null-This property supports translations.

The name of the attribute
categoriesstring[]-A list of Category, each one representing a category associated with the attribute list.

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.